<?php
/**
 * ------------------------ 
 *  版权所有  www.tecmz.com
 *  商业版本请购买正版授权使用
 * ------------------------
*/ namespace ModStart\Form; use Closure; use Illuminate\Contracts\Support\Renderable; use Illuminate\Database\Eloquent\Model; use Illuminate\Support\Collection; use Illuminate\Support\Facades\Input; use Illuminate\Validation\Validator; use ModStart\Core\Dao\DynamicModel; use ModStart\Core\Exception\BizException; use ModStart\Core\Exception\ResultException; use ModStart\Core\Input\InputPackage; use ModStart\Core\Input\Response; use ModStart\Core\Type\SortDirection; use ModStart\Core\Util\CRUDUtil; use ModStart\Core\Util\IdUtil; use ModStart\Field\AbstractField; use ModStart\Field\AutoRenderedFieldValue; use ModStart\Field\Display; use ModStart\Field\Select; use ModStart\Field\Type\FieldRenderMode; use ModStart\Form\Concern\HasCascadeFields; use ModStart\Form\Type\FormEngine; use ModStart\Form\Type\FormMode; use ModStart\Grid\Concerns\HasSort; use ModStart\Repository\Filter\HasRepositoryFilter; use ModStart\Repository\Filter\HasScopeFilter; use ModStart\Repository\Repository; use ModStart\Support\Concern\HasBuilder; use ModStart\Support\Concern\HasFields; use ModStart\Support\Concern\HasFluentAttribute; use ModStart\Support\Manager\FieldManager; use stdClass; class Form implements Renderable { use HasFields, HasBuilder, HasFluentAttribute, HasSort, HasCascadeFields, HasScopeFilter, HasRepositoryFilter; public $id; private $repository; private $view = 'modstart::core.form.index'; protected $fluentAttributes = array('engine', 'builder', 'mode', 'title', 'showSubmit', 'showReset', 'itemId', 'item', 'hookSubmitted', 'hookSaving', 'hookSaved', 'hookDeleting', 'hookDeleted', 'hookChanged', 'dataSubmitted', 'dataForming', 'dataAdding', 'dataEditing', 'canAdd', 'canEdit', 'canDelete', 'canSort', 'canCopy', 'formClass', 'treeMaxLevel', 'treeRootPid', 'formUrl', 'ajax', 'formAttr'); private $engine = 'basic'; private $mode = 'form'; private $title; private $showSubmit = true; private $showReset = true; private $itemId = null; private $item; private $hookSubmitted; private $hookSaving; private $hookSaved; private $hookDeleting; private $hookDeleted; private $hookChanged; private $dataSubmitted; private $dataForming; private $dataAdding; private $dataEditing; private $canAdd = true; private $canEdit = true; private $canDelete = true; private $canSort = false; private $canCopy = false; private $formClass = ''; private $treeMaxLevel = 99; private $treeRootPid = 0; private $formUrl = null; private $ajax = true; private $formAttr = ''; public function __construct($boFHX, \Closure $fC90F = null) { goto l7vUJ; D1Xoo: $this->repository = Repository::instance($boFHX); goto cUsoy; vqHpT: $this->fieldDefaultRenderMode(FieldRenderMode::FORM); goto rPiq5; l7vUJ: $this->id = IdUtil::generate('Grid'); goto D1Xoo; goxlX: $this->builder($fC90F); goto eJy41; cUsoy: $this->setupFields(); goto vqHpT; rPiq5: $this->setupRepositoryFilter(); goto goxlX; eJy41: } public static function make($f8bmc = null, \Closure $fC90F = null) { if (is_object($f8bmc) || class_exists($f8bmc) && is_subclass_of($f8bmc, Model::class)) { return new Form($f8bmc, $fC90F); } return new Form(DynamicModel::make($f8bmc), $fC90F); } public function asTree($P7Dv2 = 'id', $orJB1 = 'pid', $BfkWH = 'sort', $ATo_w = 'title') { goto Y2MlL; t1aii: return $this; goto AW8LD; KTec0: $this->repository->setTreeTitleColumn($ATo_w); goto kRjeI; Y2MlL: $this->repository->setKeyName($P7Dv2); goto IsJF2; IsJF2: $this->repository->setTreePidColumn($orJB1); goto yVej1; aOVG7: $this->canSort(true); goto t1aii; yVej1: $this->repository->setSortColumn($BfkWH); goto KTec0; kRjeI: $this->engine = FormEngine::TREE; goto aOVG7; AW8LD: } public function asTreeMass($LENsY = 0, $P7Dv2 = 'id', $orJB1 = 'pid', $BfkWH = 'sort', $ATo_w = 'title') { goto VVwWi; Cfmmq: $this->repository->setTreeTitleColumn($ATo_w); goto vdJsS; VVwWi: $this->repository->setKeyName($P7Dv2); goto Vi1Ej; gRIOS: return $this; goto WT1Ry; vdJsS: $this->engine = FormEngine::TREE_MASS; goto xXF_k; ZxEU1: $this->repository->setSortColumn($BfkWH); goto Cfmmq; xXF_k: $this->canSort(true); goto gRIOS; Vi1Ej: $this->repository->setTreePidColumn($orJB1); goto ZxEU1; WT1Ry: } private function build() { $this->runBuilder(); if ($this->engine == FormEngine::TREE) { if ($this->treeMaxLevel > 1) { $Dvd0A = FieldManager::make($this, 'select', $this->repository->getTreePidColumn(), L('Parent')); $Dvd0A->optionRepositoryTreeItems($this->repository, $this->treeMaxLevel); } else { $Dvd0A = FieldManager::make($this, 'hidden', $this->repository->getTreePidColumn(), L('Parent')); $Dvd0A->value(0); } $this->prependField($Dvd0A); } else { if ($this->engine == FormEngine::TREE_MASS) { goto y4xPx; WPhRd: $Dvd0A->hookRendering(function (AbstractField $Dvd0A, $okVj2, $DQboR) { if (empty($okVj2)) { $Tx2bL = InputPackage::buildFromInput()->get('_pid', $this->treeRootPid); } else { $Tx2bL = $okVj2->{$this->repository->getTreePidColumn()}; } $this->repository()->setArgument('treePid', $Tx2bL); $dqj1E = $this->repository->getTreeAncestorItems(); $E7aEw = array(); $E7aEw[] = '<span class="ub-text-muted"><i class="icon iconfont icon-angle-right"></i></span> ' . L('Root'); foreach ($dqj1E as $sOo74) { $E7aEw[] = '<span class="ub-text-muted"><i class="icon iconfont icon-angle-right"></i></span> ' . htmlspecialchars($sOo74->{$this->repository->getTreeTitleColumn()}); } $E7aEw[] = '<input type="hidden" name="' . $this->repository->getTreePidColumn() . '" value="' . htmlspecialchars($Tx2bL) . '" />'; return AutoRenderedFieldValue::make(join('', $E7aEw)); }); goto KhMzm; Q_NBZ: $Dvd0A->addable(true)->editable(true)->listable(false); goto WPhRd; y4xPx: $Dvd0A = FieldManager::make($this, 'display', $this->repository->getTreePidColumn(), L('Parent')); goto Q_NBZ; KhMzm: $this->prependField($Dvd0A); goto ZVnh1; ZVnh1: } } } public function repository() { return $this->repository; } private function fieldValidateMessages($CLlD8, $DuXHc) { goto wjAL3; FOh1p: $u2qFj = array(); goto XHYO0; XHYO0: foreach ($VbawG as $jI8rr) { foreach ($jI8rr->messages()->getMessages() as $jUO4E => $kfYyz) { $u2qFj[$jUO4E] = $kfYyz; } } goto wzhBK; wjAL3: $VbawG = array(); goto PYEnQ; PYEnQ: foreach ($CLlD8 as $Dvd0A) { if (!($jI8rr = $Dvd0A->getValidator($DuXHc))) { continue; } if ($jI8rr instanceof Validator && !$jI8rr->passes()) { $VbawG[] = $jI8rr; } } goto FOh1p; wzhBK: if (empty($u2qFj)) { return false; } goto EARdb; EARdb: return $u2qFj; goto aFdZ9; aFdZ9: } private function validateFields($CLlD8, $AiIrm) { goto Pih8k; ah5lu: return Response::generateSuccess(); goto NVfVX; Pih8k: $AJ2MX = array(); goto aZSrs; aZSrs: if ($dc804 = $this->fieldValidateMessages($CLlD8, $AiIrm)) { $AJ2MX = array_merge($AJ2MX, $dc804); } goto MRiXb; MRiXb: foreach ($AJ2MX as $jUO4E => $u2qFj) { foreach ($u2qFj as $g0wE_) { return Response::generateError($g0wE_); } } goto ah5lu; NVfVX: } private function removeReservedFields() { goto wqbIM; wqbIM: $OfuCw = array($this->repository->getKeyName(), $this->repository->getCreatedAtColumn(), $this->repository->getUpdatedAtColumn()); goto kM4za; LlwQl: $this->fields = $this->fields()->reject($T6v4n); goto Hkyqw; kM4za: $T6v4n = function (AbstractField $Dvd0A) use(&$OfuCw) { return in_array($Dvd0A->column(), $OfuCw, true) && $Dvd0A instanceof \ModStart\Field\Display; }; goto LlwQl; Hkyqw: } public function hookCall($HVm2W) { if ($HVm2W instanceof Closure) { $SJ7rX = call_user_func($HVm2W, $this); if (null !== $SJ7rX) { return $SJ7rX; } } return Response::generateSuccess(); } public function isModeForm() { return $this->mode === FormMode::FORM; } public function isModeAdd() { return $this->mode === FormMode::ADD; } public function isModeEdit() { return $this->mode === FormMode::EDIT; } public function isModeDelete() { return $this->mode === FormMode::DELETE; } public function formRequest($HVm2W, array $AiIrm = null) { goto o68gy; oJWz_: $this->dataSubmitted = $AiIrm ? $AiIrm : Input::all(); goto cpjDO; cpjDO: try { goto tw0Nr; LWgoB: ResultException::throwsIfFail($this->hookCall($this->hookSaved)); goto FBkZE; h0j4n: return Response::jsonSuccess(L('Save Success')); goto Z9HWv; tw0Nr: ResultException::throwsIfFail($this->validateFields($this->addableFields(), $this->dataSubmitted)); goto b5tlc; K8PZY: $this->dataForming = array(); goto XmkQ5; uQi44: if (null !== $SJ7rX) { if (Response::isError($SJ7rX)) { return Response::jsonFromGenerate($SJ7rX); } } goto LWgoB; rg3Mv: ResultException::throwsIfFail($this->hookCall($this->hookSaving)); goto bjC8o; b5tlc: ResultException::throwsIfFail($this->hookCall($this->hookSubmitted)); goto K8PZY; FBkZE: ResultException::throwsIfFail($this->hookCall($this->hookChanged)); goto YE0MG; KvhlM: if (!empty($this->dataSubmitted['_redirect'])) { return Response::json(0, null, null, $this->dataSubmitted['_redirect']); } goto h0j4n; XmkQ5: $this->removeReservedFields(); goto Dzij0; YE0MG: if (null !== $SJ7rX) { return Response::jsonFromGenerate($SJ7rX); } goto KvhlM; bjC8o: $SJ7rX = call_user_func($HVm2W, $this); goto uQi44; Dzij0: foreach ($this->addableFields() as $Dvd0A) { goto T8CvH; eNgRF: $QAz1I = $Dvd0A->serializeValue($QAz1I, $Dvd0A); goto ln9fN; A2tTg: $QAz1I = $Dvd0A->prepareInput($QAz1I, $this->dataSubmitted); goto eNgRF; VJpij: $QAz1I = isset($this->dataSubmitted[$Dvd0A->column()]) ? $this->dataSubmitted[$Dvd0A->column()] : null; goto A2tTg; T8CvH: if ($Dvd0A->isLayoutField()) { continue; } goto VJpij; ln9fN: if ($Dvd0A->hookValueSerialize()) { $QAz1I = call_user_func($Dvd0A->hookValueSerialize(), $QAz1I, $Dvd0A); } goto Ft3Lm; Ft3Lm: $this->dataForming[$Dvd0A->column()] = $QAz1I; goto D1FaU; D1FaU: } goto rg3Mv; Z9HWv: } catch (BizException $YPIkX) { return Response::jsonError($YPIkX->getMessage()); } catch (ResultException $YPIkX) { return Response::jsonError($YPIkX->getMessage()); } goto tIATq; XfDt9: $this->build(); goto oJWz_; o68gy: $this->mode(FormMode::FORM); goto XfDt9; tIATq: } public function add() { goto MQ_OZ; MQ_OZ: $this->mode(FormMode::ADD); goto tkQby; KsSLN: return $this; goto qzAst; UnFOj: if ($this->canCopy()) { $ue_Z6 = CRUDUtil::copyId(); if ($ue_Z6) { goto VUiUM; Jj1bE: $this->item($this->repository()->editing($this)); goto Nm3eh; Nm3eh: $this->itemId(0); goto OW9Ln; VUiUM: $this->itemId($ue_Z6); goto Jj1bE; OW9Ln: $eRfG6 = true; goto vdxgb; vdxgb: } } goto estnD; tkQby: $eRfG6 = false; goto UnFOj; estnD: $this->build(); goto j1oRg; j1oRg: if ($eRfG6) { $this->fillFields(); } goto KsSLN; qzAst: } public function addRequest(array $AiIrm = null) { goto qWesF; i0v22: $this->mode(FormMode::ADD); goto Frrhu; jzmcN: $this->dataSubmitted = $AiIrm ? $AiIrm : Input::all(); goto muK7D; qWesF: if (!$this->canAdd) { return Response::pagePermissionDenied(); } goto i0v22; muK7D: try { goto r8X4_; JjOZ7: $this->dataAdding = array(); goto RovGf; Na632: ResultException::throwsIfFail($this->hookCall($this->hookSubmitted)); goto JjOZ7; RovGf: $this->removeReservedFields(); goto L1Ejx; r8X4_: ResultException::throwsIfFail($this->validateFields($this->addableFields(), $this->dataSubmitted)); goto Na632; PCI0b: if (!empty($this->dataSubmitted['_redirect'])) { return Response::json(0, null, null, $this->dataSubmitted['_redirect']); } goto WlXN8; cDCq7: $e1VWJ = $this->repository->add($this); goto PCI0b; WlXN8: return Response::jsonSuccess(L('Add Success')); goto NMzHP; L1Ejx: foreach ($this->addableFields() as $Dvd0A) { goto dmBZl; dmBZl: if ($Dvd0A->isLayoutField() || $Dvd0A->isCustomField()) { continue; } goto smasC; HPpLh: $QAz1I = $Dvd0A->prepareInput($QAz1I, $this->dataSubmitted); goto ILr_9; BMtf8: $this->dataAdding[$Dvd0A->column()] = $QAz1I; goto QqLxQ; ILr_9: $QAz1I = $Dvd0A->serializeValue($QAz1I, $Dvd0A); goto BMZ20; smasC: $QAz1I = isset($this->dataSubmitted[$Dvd0A->column()]) ? $this->dataSubmitted[$Dvd0A->column()] : null; goto HPpLh; BMZ20: if ($Dvd0A->hookValueSerialize()) { $QAz1I = call_user_func($Dvd0A->hookValueSerialize(), $QAz1I, $Dvd0A); } goto BMtf8; QqLxQ: } goto cDCq7; NMzHP: } catch (BizException $YPIkX) { return Response::jsonError($YPIkX->getMessage()); } catch (ResultException $YPIkX) { return Response::jsonError($YPIkX->getMessage()); } goto nU9SN; Frrhu: $this->build(); goto jzmcN; nU9SN: } public function edit($e1VWJ) { try { goto HSW4W; NtyFF: return $this; goto f320m; zA_f1: BizException::throwsIfEmpty(L('Record Not Exists'), $this->item); goto pReWU; pReWU: $this->build(); goto SSw8I; yUSB5: $this->item($this->repository()->editing($this)); goto zA_f1; HSW4W: $this->mode(FormMode::EDIT); goto nwRga; SSw8I: $this->fillFields(); goto NtyFF; nwRga: $this->itemId($e1VWJ); goto yUSB5; f320m: } catch (BizException $YPIkX) { return Response::sendError($YPIkX->getMessage()); } } public function editRequest($e1VWJ, array $AiIrm = null) { goto lEHwr; tXUVX: $this->dataSubmitted = $AiIrm ? $AiIrm : Input::all(); goto v8G0K; lEHwr: if (!$this->canEdit) { return Response::pagePermissionDenied(); } goto tXUVX; v8G0K: try { goto S26aU; s_YcS: return Response::jsonSuccess(L('Edit Success')); goto uoIcp; GtPmr: $this->repository()->edit($this); goto SJcbo; Q5K1P: $this->dataEditing = array(); goto dQFTw; v0gfT: ResultException::throwsIfFail($this->hookCall($this->hookSubmitted)); goto Q5K1P; S26aU: $this->edit($e1VWJ); goto oJKHl; aKUMK: if ('itemCellEdit' == $iTj3a) { goto C9CVF; C9CVF: $jUO4E = isset($this->dataSubmitted['column']) ? $this->dataSubmitted['column'] : null; goto ZM_xM; Kvvot: if ($jUO4E) { foreach ($this->editableFields() as $Dvd0A) { if ($Dvd0A->isLayoutField() || $Dvd0A->isCustomField()) { continue; } if ($Dvd0A->column() == $jUO4E) { $this->dataEditing[$Dvd0A->column()] = $QAz1I; break; } } } goto C3i1U; ZM_xM: $QAz1I = isset($this->dataSubmitted['value']) ? $this->dataSubmitted['value'] : null; goto Kvvot; C3i1U: BizException::throwsIfEmpty('Data Error', $this->dataEditing); goto q43b9; q43b9: } else { foreach ($this->editableFields() as $Dvd0A) { goto sMJmB; VJCGX: $QAz1I = isset($this->dataSubmitted[$Dvd0A->column()]) ? $this->dataSubmitted[$Dvd0A->column()] : null; goto HK7Ie; HK7Ie: $QAz1I = $Dvd0A->prepareInput($QAz1I, $this->dataSubmitted); goto ppwIT; DE08f: $this->dataEditing[$Dvd0A->column()] = $QAz1I; goto tS3Cb; sMJmB: if ($Dvd0A->isLayoutField() || $Dvd0A->isCustomField()) { continue; } goto VJCGX; EJ7or: if ($Dvd0A->hookValueSerialize()) { $QAz1I = call_user_func($Dvd0A->hookValueSerialize(), $QAz1I, $Dvd0A); } goto DE08f; ppwIT: $QAz1I = $Dvd0A->serializeValue($QAz1I, $Dvd0A); goto EJ7or; tS3Cb: } } goto GtPmr; oJKHl: ResultException::throwsIfFail($this->validateFields($this->editableFields(), $this->dataSubmitted)); goto v0gfT; dFegn: $iTj3a = isset($this->dataSubmitted['_action']) ? $this->dataSubmitted['_action'] : null; goto aKUMK; SJcbo: if (!empty($this->dataSubmitted['_redirect'])) { return Response::json(0, null, null, $this->dataSubmitted['_redirect']); } goto s_YcS; dQFTw: $this->removeReservedFields(); goto dFegn; uoIcp: } catch (BizException $YPIkX) { return Response::jsonError($YPIkX->getMessage()); } catch (ResultException $YPIkX) { return Response::jsonError($YPIkX->getMessage()); } goto Ys34W; Ys34W: } public function deleteRequest($kUuEK) { goto p2OLk; UyhKC: try { goto PNGZl; xtAzS: $this->item($AiIrm); goto VzdzB; F7pjD: $qh9zq = $this->repository->delete($this, $AiIrm); goto jy37o; VzdzB: $this->itemId(collect($AiIrm)->map(function ($Q_FKj) { return $Q_FKj->{$this->repository()->getKeyName()}; })->toArray()); goto F7pjD; jy37o: return Response::jsonSuccess(L('Delete Success')); goto gyN2r; PNGZl: $AiIrm = $this->repository->deleting($this); goto xtAzS; gyN2r: } catch (BizException $YPIkX) { return Response::jsonError($YPIkX->getMessage()); } catch (ResultException $YPIkX) { return Response::jsonError($YPIkX->getMessage()); } goto b8E1r; bGzDV: $this->mode(FormMode::DELETE); goto CCIwA; CCIwA: $this->itemId($kUuEK); goto MFmtq; MFmtq: $this->build(); goto UyhKC; p2OLk: if (!$this->canDelete) { return Response::pagePermissionDenied(); } goto bGzDV; b8E1r: } public function sortRequest($kUuEK) { goto EE3Tc; TfjIo: $this->mode(FormMode::SORT); goto nD0Rk; xsXlp: $DuXHc = InputPackage::buildFromInput(); goto gq1ES; VU6wC: $this->build(); goto g9jEj; gq1ES: $this->repository->setArgument('direction', $DuXHc->getType('direction', SortDirection::class)); goto VU6wC; nD0Rk: $this->itemId($kUuEK); goto xsXlp; g9jEj: try { goto XDmYl; t4o3E: ResultException::throwsIfFail($this->hookCall($this->hookChanged)); goto z1AMF; XDmYl: $qh9zq = $this->repository->sortEdit($this); goto t4o3E; z1AMF: return Response::jsonSuccess(L('Operate Success')); goto Iggzq; Iggzq: } catch (BizException $YPIkX) { return Response::jsonError($YPIkX->getMessage()); } catch (ResultException $YPIkX) { return Response::jsonError($YPIkX->getMessage()); } goto OeEjI; EE3Tc: if (!$this->canSort) { return Response::pagePermissionDenied(); } goto TfjIo; OeEjI: } public function render() { goto K99pk; vrq9m: return view($this->view, $AiIrm)->render(); goto u004i; htuAj: $AiIrm = array_merge($this->fluentAttributeVariables(), $AiIrm); goto vrq9m; K99pk: $AiIrm = array(); goto pW91J; pW91J: switch ($this->mode) { case FormMode::FORM: $AiIrm['fields'] = $this->addableFields(); break; case FormMode::ADD: goto WoqvS; WoqvS: if (!$this->canAdd) { return Response::pagePermissionDenied(); } goto Nu6tG; gR1E_: break; goto Td20z; Nu6tG: $AiIrm['fields'] = $this->addableFields(); goto gR1E_; Td20z: case FormMode::EDIT: goto n45Py; GcMSn: break; goto grQ6D; n45Py: if (!$this->canEdit) { return Response::pagePermissionDenied(); } goto uaVsY; uaVsY: $AiIrm['fields'] = $this->editableFields(); goto GcMSn; grQ6D: default: return Response::sendError('Form.render mode error : ' . $this->mode); } goto htuAj; u004i: } public function __call($JdY_E, $uyyTb) { goto W3hpI; EENLJ: return FieldManager::call($this, $JdY_E, $uyyTb); goto F9_LT; tTHnK: if ($this->isFluentAttribute($JdY_E)) { return $this->fluentAttribute($JdY_E, $uyyTb); } goto EENLJ; W3hpI: switch ($JdY_E) { case 'enablePagination': case 'defaultOrder': case 'canShow': case 'canExport': case 'canImport': case 'canBatchDelete': case 'canMultiSelectItem': case 'addBlankPage': case 'editBlankPage': case 'disableCUD': case 'hookItemOperateRendering': case 'addDialogSize': case 'editDialogSize': case 'dialogSizeSmall': case 'gridFilter': case 'gridOperateAppend': case 'bodyAppend': case 'operateFixed': case 'defaultPageSize': case 'pageSizes': case 'canBatchSelect': case 'batchOperatePrepend': case 'gridToolbar': case 'pageJumpEnable': case 'textEdit': return $this; } goto tTHnK; F9_LT: } }