<?php
/**
 * ------------------------ 
 *  版权所有  www.tecmz.com
 *  商业版本请购买正版授权使用
 * ------------------------
*/ namespace ModStart\Grid; use Closure; use Illuminate\Support\Facades\Input; use Illuminate\Support\Facades\View; use ModStart\Core\Dao\DynamicModel; use ModStart\Core\Dao\ModelUtil; use ModStart\Core\Exception\BizException; use ModStart\Core\Input\InputPackage; use ModStart\Core\Input\Response; use ModStart\Core\Util\IdUtil; use ModStart\Core\Util\RenderUtil; use ModStart\Core\Util\TreeUtil; use ModStart\Detail\Detail; use ModStart\Field\AbstractField; use ModStart\Field\Type\FieldRenderMode; use ModStart\Form\Form; use ModStart\Grid\Concerns\HasGridFilter; use ModStart\Grid\Concerns\HasItemOperate; use ModStart\Grid\Concerns\HasPaginator; use ModStart\Grid\Concerns\HasSort; use ModStart\Grid\Type\GridEngine; use ModStart\Repository\Filter\HasRepositoryFilter; use ModStart\Repository\Filter\HasScopeFilter; use ModStart\Repository\Repository; use ModStart\Support\Concern\HasBuilder; use ModStart\Support\Concern\HasFields; use ModStart\Support\Concern\HasFluentAttribute; use ModStart\Support\Manager\FieldManager; class Grid { use HasBuilder, HasFields, HasFluentAttribute, HasGridFilter, HasItemOperate, HasPaginator, HasSort, HasScopeFilter, HasRepositoryFilter; private $id; private $model; protected $fluentAttributes = array('view', 'engine', 'title', 'titleAdd', 'titleEdit', 'titleShow', 'titleImport', 'canAdd', 'canEdit', 'canDelete', 'canShow', 'canExport', 'canImport', 'canCopy', 'canMultiSelectItem', 'canSingleSelectItem', 'canBatchDelete', 'canBatchSelect', 'canSort', 'urlAdd', 'urlEdit', 'textEdit', 'urlDelete', 'urlShow', 'urlExport', 'urlImport', 'urlSort', 'addDialogSize', 'editDialogSize', 'showDialogSize', 'importDialogSize', 'addBlankPage', 'editBlankPage', 'enablePagination', 'defaultOrder', 'treeMaxLevel', 'treeRootPid', 'batchOperatePrepend', 'gridOperateAppend', 'hookPrepareItems', 'gridRowCols', 'defaultPageSize', 'pageSizes', 'gridToolbar', 'pageJumpEnable'); private $engine = 'basic'; private $title; private $titleAdd; private $titleEdit; private $titleShow; private $titleImport; private $canAdd = true; private $canEdit = true; private $canDelete = true; private $canShow = true; private $canExport = false; private $canImport = false; private $canCopy = false; private $canMultiSelectItem = false; private $canSingleSelectItem = false; private $canBatchDelete = false; private $canBatchSelect = false; private $canSort = false; private $urlAdd; private $urlEdit; private $textEdit; private $urlDelete; private $urlShow; private $urlExport; private $urlImport; private $urlSort; private $addDialogSize = array('95%', '95%'); private $editDialogSize = array('95%', '95%'); private $showDialogSize = array('95%', '95%'); private $importDialogSize = array('95%', '95%'); private $addBlankPage = false; private $editBlankPage = false; private $enablePagination = true; private $defaultOrder = array(); private $treeMaxLevel = 0; private $treeRootPid = 0; private $batchOperatePrepend = ''; private $gridOperateAppend = ''; private $gridRowCols = null; private $defaultPageSize = 10; private $pageSizes = array(10, 50, 100); private $gridToolbar = array(); private $pageJumpEnable = false; private $hookPrepareItems = null; private $gridTableTops = array(); private $gridRequestScript = null; private $gridBeforeRequestScript = null; private $isBuilt = false; private $isDynamicModel = false; private $dynamicModelTableName; private $view = 'modstart::core.grid.index'; private $bodyAppend = ''; public function __construct($boFHX = null, \Closure $fC90F = null) { goto OqTRa; SKNMK: $this->setupItemOperate(); goto X9t3g; X_pM8: $this->model = new Model($this, $boFHX); goto SIg6s; OqTRa: $this->id = IdUtil::generate('Grid'); goto X_pM8; FrdNe: $this->setupGridFilter(); goto SKNMK; SIg6s: $this->setupFields(); goto IwBl2; IwBl2: $this->fieldDefaultRenderMode(FieldRenderMode::GRID); goto loZJU; loZJU: $this->setupRepositoryFilter(); goto FrdNe; X9t3g: $this->builder($fC90F); goto AdMSn; AdMSn: } public static function make($f8bmc, \Closure $fC90F = null) { goto QKSg0; F7hn5: $vczjJ = new Grid(DynamicModel::make($f8bmc), $fC90F); goto baU8e; slUZu: if (class_exists($f8bmc)) { if (is_subclass_of($f8bmc, \Illuminate\Database\Eloquent\Model::class) || is_subclass_of($f8bmc, Repository::class)) { return new Grid($f8bmc, $fC90F); } } goto F7hn5; kw3Jt: return $vczjJ; goto HeCkV; tZTLX: $vczjJ->dynamicModelTableName = $f8bmc; goto kw3Jt; QKSg0: if ($f8bmc && is_object($f8bmc)) { return new Grid($f8bmc, $fC90F); } goto slUZu; baU8e: $vczjJ->isDynamicModel = true; goto tZTLX; HeCkV: } public function useSimple($j_Hm3) { goto E5dIe; IzLwV: $this->display('html', 'html')->hookRendering($j_Hm3); goto lwSvQ; E5dIe: $this->view = 'modstart::core.grid.simple'; goto jGEwY; jGEwY: $this->disableItemOperate(); goto IzLwV; lwSvQ: return $this; goto ZdJsm; ZdJsm: } public function asTree($P7Dv2 = 'id', $orJB1 = 'pid', $BfkWH = 'sort', $ATo_w = 'title') { goto MH8y6; aW9HG: $this->repository()->setSortColumn($BfkWH); goto T4pIn; T4pIn: $this->repository()->setTreeTitleColumn($ATo_w); goto QWsnK; RKya0: $this->enablePagination(false); goto u3QNC; nOJJa: return $this; goto tji5x; u3QNC: $this->canSort(true); goto nOJJa; QWsnK: $this->engine = GridEngine::TREE; goto RKya0; MH8y6: $this->repository()->setKeyName($P7Dv2); goto svsEW; svsEW: $this->repository()->setTreePidColumn($orJB1); goto aW9HG; tji5x: } public function asTreeMass($LENsY = 0, $P7Dv2 = 'id', $orJB1 = 'pid', $BfkWH = 'sort', $ATo_w = 'title') { goto eqGtc; YNOZj: return $this; goto IFJ9l; bo0_o: $this->repository()->setSortColumn($BfkWH); goto HsVvv; HsVvv: $this->repository()->setTreeTitleColumn($ATo_w); goto TpS7c; EdJTC: $this->enablePagination(false); goto OZ3Hr; rt09B: $this->repository()->setTreePidColumn($orJB1); goto bo0_o; OZ3Hr: $this->canSort(true); goto YNOZj; TpS7c: $this->engine = GridEngine::TREE_MASS; goto EdJTC; eqGtc: $this->repository()->setKeyName($P7Dv2); goto rt09B; IFJ9l: } public function canBatchDelete($QAz1I = null) { goto hnLTO; T4YIt: return $this; goto eG7Or; hnLTO: if (null === $QAz1I) { return $this->canBatchDelete; } goto ubK2F; Yb4bl: $this->canMultiSelectItem(true); goto T4YIt; ubK2F: $this->canBatchDelete = true; goto Yb4bl; eG7Or: } public function canBatchSelect($QAz1I = null) { goto BcTMW; fUhwD: return $this; goto LIEZt; Cm7RX: $this->canBatchSelect = true; goto Zlnd_; Zlnd_: $this->canMultiSelectItem(true); goto fUhwD; BcTMW: if (null === $QAz1I) { return $this->canBatchSelect; } goto Cm7RX; LIEZt: } public function disableCUD() { $this->canAdd(false)->canEdit(false)->canDelete(false); return $this; } public function dialogSizeSmall() { return $this->addDialogSize(array('600px', '90%'))->editDialogSize(array('600px', '90%'))->showDialogSize(array('600px', '90%')); } public function repository() { return $this->model->repository(); } public function getRepositoryKeyName() { return $this->model->repository()->getKeyName(); } public function gridFilter(Closure $HVm2W) { call_user_func($HVm2W, $this->gridFilter); return $this; } public function gridRequestScript($tOhQi) { $this->gridRequestScript = $tOhQi; return $this; } public function gridBeforeRequestScriptView($wae5C) { return $this->gridBeforeRequestScript(RenderUtil::viewScript($wae5C)); } public function gridBeforeRequestScript($XUyND) { $this->gridBeforeRequestScript = $XUyND; return $this; } public function gridTableTopView($wae5C) { return $this->gridTableTop(View::make($wae5C, array())->render()); } public function gridTableTop($S5555) { goto Mq785; Mq785: if ($S5555 instanceof Closure) { $S5555 = call_user_func($S5555, $this); } goto EQwze; EQwze: $this->gridTableTops[] = $S5555; goto bTUYF; bTUYF: return $this; goto p2sKG; p2sKG: } public function bodyAppend($S5555) { $this->bodyAppend = $S5555; return $this; } public function build() { if (!$this->isBuilt) { goto t6pJl; jeA23: $this->isBuilt = true; goto bui04; Ol9Ji: $this->prepareItemOperateField(); goto jeA23; t6pJl: $this->runBuilder(); goto Ol9Ji; bui04: } } public function executeQuery() { goto kXvze; xWcIa: return $this->gridFilter->executeQuery(); goto gLB6T; kXvze: $this->build(); goto MtFw2; Y3z2g: $this->gridFilter->setSearch($DuXHc->getArray('search')); goto xWcIa; MtFw2: $DuXHc = InputPackage::buildFromInput(); goto MR8vG; MR8vG: $this->repository()->setArgument(array('page' => $DuXHc->getPage(), 'pageSize' => $DuXHc->getPageSize(null, null, 1000, $this->defaultPageSize), 'order' => $DuXHc->getArray($this->model->getOrderName()), 'orderDefault' => $this->defaultOrder)); goto Y3z2g; gLB6T: } public function request() { goto dxO6H; XS9mC: $Efx6v = array(); goto nhO2C; BKl0v: if ($this->hookPrepareItems) { $lngNC = call_user_func($this->hookPrepareItems, $this, $lngNC); } goto XS9mC; TGsEr: if (!is_null($this->gridRequestScript)) { $XUyND = call_user_func($this->gridRequestScript, $this); } goto jM4g9; S26mk: $XUyND = null; goto TGsEr; lYpFj: if ($this->engine == GridEngine::TREE) { goto c5HU6; ETMZq: $OSJK3 = $this->repository()->getTreeSortColumn(); goto RoOWW; c5HU6: $QqqWB = $this->repository()->getKeyName(); goto kBlS1; RoOWW: $lngNC = TreeUtil::itemsMergeLevel($lngNC, $QqqWB, $HehrA, $OSJK3); goto wWPA0; kBlS1: $HehrA = $this->repository()->getTreePidColumn(); goto ETMZq; wWPA0: } goto OI3Fg; KAKj5: $zZhgH = array(); goto ZJp4J; w2FUT: $GnGv9 = array(); goto Y6pw3; nhO2C: foreach ($lngNC as $DQboR => $okVj2) { goto c_HZl; YLPHO: $sFCMN = array(); goto vABSU; Ph1ih: $Efx6v[] = $sFCMN; goto YH2X5; c_HZl: $n89oY = array(); goto LoWWy; LoWWy: if ($okVj2 instanceof \Illuminate\Database\Eloquent\Model) { $n89oY = array_keys($okVj2->getAttributes()); } else { if ($okVj2 instanceof \stdClass) { $n89oY = array_keys(get_object_vars($okVj2)); } else { BizException::throws('Grid item support Model|stdClass only'); } } goto YLPHO; vABSU: $sFCMN['_id'] = '' . $okVj2->{$this->repository()->getKeyName()}; goto TlJA_; TlJA_: foreach ($this->listableFields() as $Dvd0A) { goto QT6Td; kvuh2: if ($this->engine == GridEngine::TREE && $Dvd0A->column() == $this->repository()->getTreeTitleColumn()) { $YV7Ud = str_repeat('&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;', $okVj2->_level - 1) . '<a class="tree-arrow-icon ub-text-muted" href="javascript:;"><i class="icon iconfont icon-angle-right"></i></a> '; $sFCMN[$Dvd0A->column()] = $YV7Ud . $sFCMN[$Dvd0A->column()]; } else { if ($this->engine == GridEngine::TREE_MASS && $Dvd0A->column() == $this->repository()->getTreeTitleColumn()) { if (count($zZhgH) < $this->treeMaxLevel() - 1) { $sFCMN[$Dvd0A->column()] = '<span class="tree-arrow-icon ub-text-muted"><i class="icon iconfont icon-angle-right"></i></span>' . '<a class="ub-text-primary" href="?_pid=' . $sFCMN['_id'] . '" title="' . L('Manage') . '"><i class="icon iconfont icon-sign"></i> ' . htmlspecialchars($sFCMN[$Dvd0A->column()]) . '</a>'; } else { $sFCMN[$Dvd0A->column()] = '<span class="tree-arrow-icon ub-text-muted"><i class="icon iconfont icon-angle-right"></i></span>' . $sFCMN[$Dvd0A->column()]; } } } goto c27ad; C2x7n: $QAz1I = null; goto CMlvK; YQpSs: $Dvd0A->setValue($QAz1I); goto bQ2IT; CMlvK: if (in_array($Dvd0A->column(), $n89oY) || $okVj2 instanceof \Illuminate\Database\Eloquent\Model && method_exists($okVj2, $Dvd0A->column())) { goto NAA0m; zt0kz: $QAz1I = $Dvd0A->unserializeValue($QAz1I, $Dvd0A); goto J4YeX; C6R5L: $okVj2->{$Dvd0A->column()} = $QAz1I; goto dGHNj; rQ0bO: if ($Dvd0A->hookValueUnserialize()) { $QAz1I = call_user_func($Dvd0A->hookValueUnserialize(), $QAz1I, $Dvd0A); } goto TZyYR; NAA0m: $QAz1I = $okVj2->{$Dvd0A->column()}; goto qi0nA; J4YeX: if ($Dvd0A->hookFormatValue()) { $QAz1I = call_user_func($Dvd0A->hookFormatValue(), $QAz1I, $Dvd0A); } goto C6R5L; TZyYR: $Dvd0A->item($okVj2); goto zt0kz; qi0nA: $Dvd0A->item($okVj2); goto rQ0bO; dGHNj: } else { goto Y8X7j; jbBXq: if ($Dvd0A->hookValueUnserialize()) { $QAz1I = call_user_func($Dvd0A->hookValueUnserialize(), $QAz1I, $Dvd0A); } goto slyKg; Y8X7j: $Dvd0A->item($okVj2); goto jt_Oy; slyKg: $QAz1I = $Dvd0A->unserializeValue($QAz1I, $Dvd0A); goto HlYyg; jt_Oy: if (str_contains($Dvd0A->column(), '.')) { $QAz1I = ModelUtil::traverse($okVj2, $Dvd0A->column()); } goto jbBXq; HlYyg: if ($Dvd0A->hookFormatValue()) { $QAz1I = call_user_func($Dvd0A->hookFormatValue(), $QAz1I, $Dvd0A); } goto YvjDS; YvjDS: } goto YQpSs; bQ2IT: $Dvd0A->item($okVj2); goto wH2u4; QT6Td: if ($Dvd0A->isLayoutField()) { continue; } goto C2x7n; wH2u4: $sFCMN[$Dvd0A->column()] = $Dvd0A->renderView($Dvd0A, $okVj2, $DQboR); goto kvuh2; c27ad: } goto Ph1ih; YH2X5: } goto w2FUT; BvZDZ: $DuXHc = InputPackage::buildFromInput(); goto IDwKz; zXRDr: $lngNC = $this->gridFilter->execute(); goto lYpFj; IDwKz: $this->repository()->setArgument(array('page' => $DuXHc->getPage(), 'pageSize' => $DuXHc->getPageSize(null, null, 1000, $this->defaultPageSize), 'order' => $DuXHc->getArray($this->model->getOrderName()), 'orderDefault' => $this->defaultOrder)); goto KAKj5; jM4g9: return Response::jsonSuccessData(array('head' => $GnGv9, 'page' => $cdVKy ? $cdVKy->currentPage() : 1, 'pageSize' => $cdVKy ? $cdVKy->perPage() : count($Efx6v), 'total' => $cdVKy ? $cdVKy->total() : count($Efx6v), 'records' => $Efx6v, 'addition' => $ZHW_j, 'script' => $XUyND)); goto JWwth; Y6pw3: foreach ($this->listableFields() as $Dvd0A) { goto XOALF; XOALF: if ($Dvd0A->isLayoutField()) { continue; } goto aTDBt; XhcRD: if ($Dvd0A->width() !== '') { $sFCMN['width'] = $Dvd0A->width(); } else { $sFCMN['withAuto'] = true; } goto XtGwh; aTDBt: $sFCMN = array('field' => $Dvd0A->column(), 'title' => $Dvd0A->label(), 'sort' => $Dvd0A->sortable()); goto XhcRD; XtGwh: if ($Dvd0A->gridFixed()) { $sFCMN['fixed'] = $Dvd0A->gridFixed(); } goto wxNwj; wxNwj: $GnGv9[] = $sFCMN; goto Gys02; Gys02: } goto S26mk; ZJp4J: if ($this->engine === GridEngine::TREE_MASS) { goto N9SOG; N9SOG: $Tx2bL = $DuXHc->get('_pid', $this->treeRootPid); goto ScMID; ScMID: $this->repository()->setArgument(array('treeRootPid' => $this->treeRootPid, 'treePid' => $Tx2bL)); goto BJJ9o; BJJ9o: if ($Tx2bL != $this->treeRootPid) { $zZhgH = $this->repository()->getTreeAncestorItems(); } goto b3o1I; b3o1I: $ZHW_j = view('modstart::core.grid.treeAncestor', array('treeAncestors' => $zZhgH, 'grid' => $this))->render(); goto Od2Ma; Od2Ma: } goto OlysT; dxO6H: $ZHW_j = null; goto h2BdQ; OI3Fg: $cdVKy = $this->model->paginator(); goto BKl0v; h2BdQ: $this->build(); goto BvZDZ; OlysT: $this->gridFilter->setSearch($DuXHc->getArray('search')); goto zXRDr; JWwth: } public function render() { goto nYKcq; nYKcq: $this->build(); goto slM9O; LGcEy: return view($this->view, $AiIrm)->render(); goto Hmmrq; slM9O: $AiIrm = array_merge($this->fluentAttributeVariables(), array('id' => $this->id, 'filters' => $this->gridFilter->filters(), 'hasAutoHideFilters' => $this->gridFilter->hasAutoHideFilters(), 'grid' => $this, 'scopes' => $this->scopeFilters, 'gridTableTops' => $this->gridTableTops, 'gridBeforeRequestScript' => $this->gridBeforeRequestScript, 'scopeCurrent' => Input::get('_scope', $this->scopeDefault), 'bodyAppend' => $this->bodyAppend)); goto LGcEy; Hmmrq: } public function __toString() { try { return $this->render(); } catch (\Exception $YPIkX) { return $YPIkX->getMessage(); } } public function isDynamicModel() { return $this->isDynamicModel; } public function getDynamicModelTableName() { return $this->dynamicModelTableName; } public function __call($JdY_E, $uyyTb) { goto nmBcV; kN2kf: return FieldManager::call($this, $JdY_E, $uyyTb); goto Lw_6_; jd0Ka: if ($this->isFluentAttribute($JdY_E)) { return $this->fluentAttribute($JdY_E, $uyyTb); } goto kN2kf; nmBcV: switch ($JdY_E) { case 'hookSaved': case 'hookDeleting': case 'hookChanged': case 'hookDeleted': case 'hookSaving': case 'formClass': case 'gridFilter': return $this; } goto jd0Ka; Lw_6_: } }